##引言


> 中车平台的虚拟账户主要分三种类型：平台账户，会员账户，保证金账户。其中平台账户和会员账户属于长期，
保证金账户是属于业务账户，会随着业务的进行开销户。

平台账户：属于中车自有的虚拟子账户，根据业务可划分为：基本账户、利息账户、手续费账户。后期可能根据业务扩张，专户专用的原则，可能开通其他类型的子账户。

会员账户：中车平台的用户(企业和个人)开设的虚拟账户，提供用户进行保证金缴纳和平台交易的。

保证金账户：属于业务账户，支持以投标的项目标段和标段的投标人两种开户方式。

|          | 平台账户 | 会员账户   | 保证金账户       |
|----------|----------|------------|------------------|
| 主体     | 中车E网  | 企业\|个人 | 标段\|标段投标人 |
| 账户类型 | 长期     | 长期       | 短期             |
| 销户     | 业务销户 | 业务销户   | 业务销户         |

###账户开户

**简要描述**

>平台发起开户申请(账户唯一识别号：一个识别号只能开设一个虚拟账户)，银行收到指令后，开设对应的虚拟子账户，并返回银行对应的生成子账户的账号信息。


#### 接口参数说明
***发送报文说明**

| **数据项**             | **名称**    | **长度** | **说明**                                                                            |
|------------------------|-------------|----------|-------------------------------------------------------------------------------------|
| 交易代码(\*)           | TransCode   | 10       | HZ0046                                                                              |
| 交易日期(\*)           | TransDate   | 10       | YYYYMMDD                                                                            |
| 交易时间(\*)           | TransAt     | 14       | YYYYMMDDHHIISS                                                                      |
| 发起方机构编号         | TranIns     | 20       | 由接收方分配；发起方必填；用于验证                                                  |
| 发起方流水号(\*)       | SeqNo       | 50       | 不重复(中心发起方流水号)                                                            |
| 接收方流水号           | StdMetrc    | 50       | (银行发起方流水号)                                                                  |
| 母账户账号序号(\*)     | AcctNo      | 50       | 系统保留，中心账号编号(序号)是明确的 用于第二主体                                   |
| 平台方账号唯一标识(\*) | AccountSn   | 50       | 平台方账户唯一标注                                                                  |
| 虚拟户户名(\*)         | AccountName | 120      | 账户户名                                                                            |
| 虚拟账户类型(\*)       | AccountType | 1        | 1-平台账户 2-会员账户 3-保证金账户                                                  |
| 平台会员号             | SysMember   | 30       | 平台号/会员号 如果是申请平台账号时必输；送平台号 如果是申请会员账号时必输；送会员号 |
| 项目标段信息           | BiaoDuan    | 50       | 标段号 + 投标人户名(以‘+’ 分割)                                                     |
| 备用字段               | Bak1        | 120      | 备用字段，用于项目上特殊要求                                                        |

***响应报文说明**

| **数据项**             | **名称**    | **长度** | **说明**                                          |
|------------------------|-------------|----------|---------------------------------------------------|
| 交易代码(\*)           | TransCode   | 10       | HZ0046                                            |
| 交易日期(\*)           | TransDate   | 10       | YYYYMMDD                                          |
| 交易时间(\*)           | TransAt     | 14       | YYYYMMDDHHIISS                                    |
| 发起方机构编号         | TranIns     | 20       | 由接收方分配；发起方必填；用于验证                |
| 发起方流水号(\*)       | SeqNo       | 50       | 不重复(中心发起方流水号)                          |
| 接收方流水号(\*)       | StdMetrc    | 50       | (银行发起方流水号)                                |
| 应答代码(\*)           | Result      | 5        | 00000 成功 非00000失败                            |
| 交易结果信息           | TransRltMsg | 50       | 交易结果说明                                      |
| 虚拟子账号(\*)         | IAcctNo     | 50       | 虚拟子账号                                        |
| 虚拟子账户授权码(\*)   | AuthCode    | 50       | 授权码                                            |
| 母账户账号序号(\*)     | AcctNo      | 50       | 系统保留，中心账号编号(序号)是明确的 用于第二主体 |
| 平台方账号唯一标识(\*) | AccountSn   | 50       | 平台方账户唯一标注                                |
| 虚拟户户名(\*)         | AccountName | 120      | 账户户名                                          |
| 虚拟账户类型(\*)       | AccountType | 1        | 1-平台账户 2-会员账户 3-保证金账户                |
| 备用字段               | Bak1        | 50       | 备用字段，用于项目上特殊要求                      |

###账户销户

**简要描述**

>销户行为，有平台方发起，原则上账户余额为零才能销户，由于业务特殊性，部分需要销毁的账户可能存在一定的余额。平台可发起强制销户，银行把账户余额转到约定的指定账户后进行销户操作。
非强制销户，余额不为零，返回错误，并告知原因。银行方需要验证平台唯一标识和账户编号是否一致。

#### 接口参数说明

***发送报文说明**

| **数据项**             | **名称**  | **长度** | **说明**                           |
|------------------------|-----------|----------|------------------------------------|
| (\*)交易代码           | TransCode | 10       | HZ0047                             |
| (\*)交易日期           | TransDate | 10       | YYYYMMDD                           |
| (\*)交易时间           | TransAt   | 14       | YYYYMMDDHHIISS                     |
| 发起方机构编号         | TranIns   | 20       | 由接收方分配；发起方必填；用于验证 |
| (\*)发起方流水号       | SeqNo     | 50       | 不重复(中心发起方流水号)           |
| 接收方流水号           | StdMetrc  | 50       | (银行发起方流水号)                 |
| (\*)平台方账号唯一标识 | AccountSn | 50       | 平台方账户唯一标注                 |
| (\*)银行子账户         | AccountNo | 50       | 银行内部账户编号 银行虚拟子账号    |
| (\*)子账户授权码       | AuthCode  | 50       | 授权码                             |
| (\*)强制销户           | IsForce   | 1        | 1：强制，0非强制                   |
| 备用字段               | Remark    | 60       | 备用字段                           |

***响应报文说明**

| 数据项           | 名称        | 长度 | 说明                               |
|------------------|-------------|------|------------------------------------|
| 交易代码(\*)     | TransCode   | 10   | HZ0047                             |
| 交易日期(\*)     | TransDate   | 10   | YYYYMMDD                           |
| 交易时间(\*)     | TransAt     | 14   | YYYYMMDDHHIISS                     |
| 发起方机构编号   | TranIns     | 20   | 由接收方分配；发起方必填；用于验证 |
| 发起方流水号(\*) | SeqNo       | 50   | 不重复(中心发起方流水号)           |
| 接收方流水号(\*) | StdMetrc    | 50   | (银行发起方流水号)                 |
| 应答代码(\*)     | Result      | 5    | 00000 成功 非00000失败             |
| 交易结果信息     | TransRltMsg | 50   | 交易结果说明                       |
| 备用字段         | Bak1        | 50   | 备用字段，用于项目上特殊要求       |

###账户信息维护

**简要描述**

>对账户的虚拟账户户名，进行维护

#### 接口参数说明

***发送报文说明**

| **数据项**       | **名称**    | **长度** | **说明**                           |
|------------------|-------------|----------|------------------------------------|
| (\*)交易代码     | TransCode   | 10       | HZ0048                             |
| (\*)交易日期     | TransDate   | 10       | YYYYMMDD                           |
| (\*)交易时间     | TransAt     | 14       | YYYYMMDDHHIISS                     |
| 发起方机构编号   | TranIns     | 20       | 由接收方分配；发起方必填；用于验证 |
| (\*)发起方流水号 | SeqNo       | 50       | 不重复(中心发起方流水号)           |
| 接收方流水号     | StdMetrc    | 50       | (银行发起方流水号)                 |
| (\*)平台唯一标识 | AccountSn   | 50       | 账户唯一标注                       |
| (\*)银行子账户   | AccountNo   | 50       | 银行内部账户编号 银行虚拟子账号    |
| (\*)子账户授权码 | AuthCode    | 50       | 授权码                             |
| (\*)虚拟户名     | AccountName | 120      | 户名                               |
| 备用字段         | Remark      | 60       | 备用字段                           |

***响应报文说明**

| 数据项               | 名称        | 长度 | 说明                               |
|----------------------|-------------|------|------------------------------------|
| 交易代码(\*)         | TransCode   | 10   | HZ0048                             |
| 交易日期(\*)         | TransDate   | 10   | YYYYMMDD                           |
| 交易时间(\*)         | TransAt     | 14   | YYYYMMDDHHIISS                     |
| 发起方机构编号       | TranIns     | 20   | 由接收方分配；发起方必填；用于验证 |
| 发起方流水号(\*)     | SeqNo       | 50   | 不重复(中心发起方流水号)           |
| 接收方流水号(\*)     | StdMetrc    | 50   | (银行发起方流水号)                 |
| 应答代码(\*)         | Result      | 5    | 00000 成功 非00000失败             |
| 交易结果信息         | TransRltMsg | 50   | 交易结果说明                       |
| 虚拟子账号(\*)       | IAcctNo     | 50   | 虚拟子账号                         |
| 虚拟子账户授权码(\*) | AuthCode    | 50   | 授权码                             |
| 备用字段             | Bak1        | 50   | 备用字段，用于项目上特殊要求       |

###账户查询(账户余额查询)


**简要描述**

>   查询指定账户的当前余额。

#### 接口参数说明

***发送报文说明**

| **数据项**       | **名称**  | **长度** | **说明**                           |
|------------------|-----------|----------|------------------------------------|
| (\*)交易代码     | TransCode | 10       | HZ0049                             |
| (\*)交易日期     | TransDate | 10       | YYYYMMDD                           |
| (\*)交易时间     | TransAt   | 14       | YYYYMMDDHHIISS                     |
| 发起方机构编号   | TranIns   | 20       | 由接收方分配；发起方必填；用于验证 |
| (\*)发起方流水号 | SeqNo     | 50       | 不重复(中心发起方流水号)           |
| 接收方流水号     | StdMetrc  | 50       | (银行发起方流水号)                 |
| (\*)平台唯一标识 | AccountSn | 50       | 账户唯一标注                       |
| (\*)银行子账户   | AccountNo | 50       | 银行内部账户编号 银行虚拟子账号    |
| (\*)子账户授权码 | AuthCode  | 50       | 授权码                             |
| 备用字段         | Remark    | 60       | 备用字段                           |

***响应报文说明**

| 数据项               | 名称        | 长度 | 说明                               |
|----------------------|-------------|------|------------------------------------|
| 交易代码(\*)         | TransCode   | 10   | HZ0049                             |
| 交易日期(\*)         | TransDate   | 10   | YYYYMMDD                           |
| 交易时间(\*)         | TransAt     | 14   | YYYYMMDDHHIISS                     |
| 发起方机构编号       | TranIns     | 20   | 由接收方分配；发起方必填；用于验证 |
| 发起方流水号(\*)     | SeqNo       | 50   | 不重复(中心发起方流水号)           |
| 接收方流水号(\*)     | StdMetrc    | 50   | (银行发起方流水号)                 |
| 应答代码(\*)         | Result      | 5    | 00000 成功 非00000失败             |
| 交易结果信息         | TransRltMsg | 50   | 交易结果说明                       |
| 虚拟子账号(\*)       | IAcctNo     | 50   | 虚拟子账号                         |
| 虚拟账户名           | AccountName | 50   |                                    |
| 账户状态             | Acst        | 1    | N-正常 T-暂禁 C-销户               |
| 虚拟子账户授权码(\*) | AuthCode    | 50   | 授权码                             |
| 可用余额             | Std400kyye  | 18.2 | 账号可用余额                       |
| 账户余额             | Std400zhye  | 18.2 | 账号余额                           |
| 备用字段             | Bak1        | 50   | 备用字段，用于项目上特殊要求       |

###账户利息试算

**简要描述**

>   查询指定账户的产生的利息。

#### 接口参数说明

***发送报文说明**

| **数据项**       | **名称**  | **长度** | **说明**                           |
|------------------|-----------|----------|------------------------------------|
| (\*)交易代码     | TransCode | 10       | HZ0050                             |
| (\*)交易日期     | TransDate | 10       | YYYYMMDD                           |
| (\*)交易时间     | TransAt   | 14       | YYYYMMDDHHIISS                     |
| 发起方机构编号   | TranIns   | 20       | 由接收方分配；发起方必填；用于验证 |
| (\*)发起方流水号 | SeqNo     | 50       | 不重复(中心发起方流水号)           |
| (\*)接收方流水号 | StdMetrc  | 50       | (银行发起方流水号)                 |
| (\*)平台唯一标识 | AccountSn | 50       | 账户唯一标注                       |
| (\*)银行子账户   | AccountNo | 50       | 银行内部账户编号 银行虚拟子账号    |
| (\*)子账户授权码 | AuthCode  | 50       | 授权码                             |
| 备用字段         | Remark    | 60       | 备用字段                           |

***响应报文说明**

| 数据项               | 名称        | 长度 | 说明                               |
|----------------------|-------------|------|------------------------------------|
| 交易代码(\*)         | TransCode   | 10   | HZ0050                             |
| 交易日期(\*)         | TransDate   | 10   | YYYYMMDD                           |
| 交易时间(\*)         | TransAt     | 14   | YYYYMMDDHHIISS                     |
| 发起方机构编号       | TranIns     | 20   | 由接收方分配；发起方必填；用于验证 |
| 发起方流水号(\*)     | SeqNo       | 50   | 不重复(中心发起方流水号)           |
| 接收方流水号(\*)     | StdMetrc    | 50   | (银行发起方流水号)                 |
| 应答代码(\*)         | Result      | 5    | 00000 成功 非00000失败             |
| 交易结果信息         | TransRltMsg | 50   | 交易结果说明                       |
| 虚拟子账号(\*)       | IAcctNo     | 50   | 虚拟子账号                         |
| 虚拟子账户授权码(\*) | AuthCode    | 50   | 授权码                             |
| 可用余额             | Std400kyye  | 18.2 | 账号可用余额                       |
| 账户余额             | Std400zhye  | 18.2 | 账号余额                           |
| 当前利息金额         | Std400intr  | 18.2 | 当前利息金额                       |
| 备用字段             | Bak1        | 50   | 备用字段，用于项目上特殊要求       |

###账户流水查询

**简要描述**

> 查询账户指定时间段内的账户流水，支持分页查询。

#### 接口参数说明

***发送报文说明**

| **数据项**       | **名称**  | **长度** | **说明**                                     |
|------------------|-----------|----------|----------------------------------------------|
| (\*)交易代码     | TransCode | 10       | HZ0051                                       |
| (\*)交易日期     | TransDate | 10       | YYYYMMDD                                     |
| (\*)交易时间     | TransAt   | 14       | YYYYMMDDHHIISS                               |
| 发起方机构编号   | TranIns   | 20       | 由接收方分配；发起方必填；用于验证           |
| (\*)发起方流水号 | SeqNo     | 50       | 不重复(中心发起方流水号)                     |
| (\*)接收方流水号 | StdMetrc  | 50       | (银行发起方流水号)                           |
| (\*)平台唯一标识 | AccountSn | 50       | 账户唯一标注                                 |
| (\*)银行子账户   | AccountNo | 50       | 银行内部账户编号 银行虚拟子账号              |
| (\*)子账户授权码 | AuthCode  | 50       | 授权码                                       |
| (\*)开始时间     | StartAt   | 14       |                                              |
| (\*)结束时间     | EndAt     | 14       |                                              |
| 页码             | PagesNum  | 10       | 页码以0开始；每次数字加1如 为3时是查询第三页 |
| 备用字段         | Remark    | 60       | 备用字段                                     |

> 注：一页10条

***响应报文说明**

| 数据项               | 名称        | 长度          | 说明                               |
|----------------------|-------------|---------------|------------------------------------|
| 交易代码(\*)         | TransCode   | 10            | HZ0051                             |
| 交易日期(\*)         | TransDate   | 10            | YYYYMMDD                           |
| 交易时间(\*)         | TransAt     | 14            | YYYYMMDDHHIISS                     |
| 发起方机构编号       | TranIns     | 20            | 由接收方分配；发起方必填；用于验证 |
| 发起方流水号(\*)     | SeqNo       | 50            | 不重复(中心发起方流水号)           |
| 接收方流水号(\*)     | StdMetrc    | 50            | (银行发起方流水号)                 |
| 应答代码(\*)         | Result      | 5             | 00000 成功 非00000失败             |
| 交易结果信息         | TransRltMsg | 50            | 交易结果说明                       |
| 虚拟子账号(\*)       | IAcctNo     | 50            | 虚拟子账号                         |
| 虚拟子账户授权码(\*) | AuthCode    | 50            | 授权码                             |
| 页码                 | PagesNum    | 10            | 为0时 数据已查询完成；             |
| 备用字段             | Bak1        | 50            | 备用字段，用于项目上特殊要求       |
| **循环体**           |             |               |                                    |
| 到账日期(\*)         | InDate      | 10            |                                    |
| 到账时间(\*)         | InTime      | 10            |                                    |
| 到账金额(\*)         | InAmount    | Numeric(18,2) |                                    |
| 付款人行号           | InBankNo    | 50            | 如无法获取可为空                   |
| 付款人行名           | InBankName  | 100           | 如无法获取可为空                   |
| 付款人户名(\*)       | InName      | 100           |                                    |
| 付款人账号(\*)       | InAcct      | 50            |                                    |
| 收款人行号           | MeBankNo    | 50            |                                    |
| 收款人行名           | MeBankName  | 100           |                                    |
| 收款人户名(\*)       | MeName      | 100           |                                    |
| 收款账号(\*)         | Memo        | 50            |                                    |
| 发起方流水号(\*)     | HstSeqNum   | 50            | 为银行核心系统流水号               |
| 第三方流水号         | CpyNo       | 50            | 第三方流水号                       |
| 备注/摘要            | Remark      | 120           |                                    |
| 当前利息(\*)         | PunInst     | Numeric(18,2) | 该保证金产生的退回利息，无息为0    |