###账户冻结

**简要描述**

冻结分为，冻结账户部分金额和冻结账户。

冻结部分金额：账户的可用余额=账户余额-冻结金额。 不影响账户的正常交易。

冻结账户：当前账户只允许入金。 禁止所有的出金操作。

问题：冻结账户前，如果已经有部分金额被冻结了。是冻结账户失败，还是冻结账户成功(直接的冻结金额自动为已经解冻状态)，还是两次冻结操作互补影响。后面还是需要解冻两次。

#### 接口参数说明

***发送报文说明**

| **数据项**       | **名称**        | **长度** | **说明**                           |
|------------------|-----------------|----------|------------------------------------|
| (\*)交易代码     | TransCode       | 10       | HZ0053                             |
| (\*)交易日期     | TransDate       | 10       | YYYYMMDD                           |
| (\*)交易时间     | TransAt         | 14       | YYYYMMDDHHIISS                     |
| 发起方机构编号   | TranIns         | 20       | 由接收方分配；发起方必填；用于验证 |
| (\*)发起方流水号 | SeqNo           | 50       | 不重复(中心发起方流水号)           |
| 接收方流水号     | StdMetrc        | 50       | (银行发起方流水号)                 |
| (\*)接收方流水号 | StdMetrc        | 50       |                                    |
| (\*)平台唯一标识 | AccountSn       | 50       | 账户唯一标注                       |
| (\*)银行子账户   | AccountNo       | 50       | 银行内部账户编号 银行虚拟子账号    |
| (\*)子账户授权码 | AuthCode        | 50       | 授权码                             |
| (\*)冻结编号     | lockSn          | 30       | 平台冻结编号                       |
| (\*)冻结账户类型 | LockAccountType | 1        | 1:冻结账户，0冻结余额              |
| (\*)金额         | Amount          | 18.2     | 冻结金额                           |

***响应报文说明**

| **数据项**       | **名称**        | **长度** | **说明**                           |
|------------------|-----------------|----------|------------------------------------|
| (\*)交易代码     | TransCode       | 10       | HZ0053                             |
| (\*)交易日期     | TransDate       | 10       | YYYYMMDD                           |
| (\*)交易时间     | TransAt         | 14       | YYYYMMDDHHIISS                     |
| 发起方机构编号   | TranIns         | 20       | 由接收方分配；发起方必填；用于验证 |
| (\*)发起方流水号 | SeqNo           | 50       | 不重复(中心发起方流水号)           |
| 接收方流水号     | StdMetrc        | 50       | (银行发起方流水号)                 |
| (\*)平台唯一标识 | AccountSn       | 50       | 账户唯一标注                       |
| (\*)银行子账户   | AccountNo       | 50       | 银行内部账户编号 银行虚拟子账号    |
| (\*)子账户授权码 | AuthCode        | 50       | 授权码                             |
| (\*)冻结编号     | LockSn          | 30       | 平台冻结编号                       |
| (\*)银行冻结编号 | Std400sbnu      | 30       | 银行冻结编号                       |
| (\*)冻结账户     | LockAccountType | 1        | 1:冻结账户，0冻结余额              |
| (\*)金额         | Amount          | 18.2     | 冻结金额                           |
| 应答代码(\*)     | Result          | 5        | 00000 成功 非00000失败             |
| 交易结果信息     | TransRltMsg     | 50       | 交易结果说明                       |

###账户解冻

**简要描述**

针对账户的冻结行为，进行一一解冻。

#### 接口参数说明

***发送报文说明**

| **数据项**       | **名称**          | **长度** | **说明**                           |
|------------------|-------------------|----------|------------------------------------|
| (\*)交易代码     | TransCode         | 10       | HZ0054                             |
| (\*)交易日期     | TransDate         | 10       | YYYYMMDD                           |
| (\*)交易时间     | TransAt           | 14       | YYYYMMDDHHIISS                     |
| 发起方机构编号   | TranIns           | 20       | 由接收方分配；发起方必填；用于验证 |
| (\*)发起方流水号 | SeqNo             | 50       | 不重复(中心发起方流水号)           |
| (\*)接收方流水号 | StdMetrc          | 50       | (银行发起方流水号)                 |
| (\*)平台唯一标识 | AccountSn         | 50       | 账户唯一标注                       |
| (\*)银行子账户   | AccountNo         | 50       | 银行内部账户编号 银行虚拟子账号    |
| (\*)子账户授权码 | AuthCode          | 50       | 授权码                             |
| (\*)冻结编号     | LockSn            | 30       | 原平台冻结编号                     |
| (\*)银行冻结编号 | Std400sbnu        | 30       | 原银行冻结编号                     |
| (\*)解冻编号     | UnLockNo          | 30       | 解冻编号                           |
| (\*)解冻账户类型 | UnLockAccountType | 1        | 1:账户解冻，0金额解冻              |
| (\*)金额         | Amount            |          | 冻结金额                           |
| 备用字段         | Remark            |          | 备用字段                           |

***响应报文说明**

| **数据项**       | **名称**        | **长度** | **说明**                           |
|------------------|-----------------|----------|------------------------------------|
| (\*)交易代码     | TransCode       | 10       | HZ0054                             |
| (\*)交易日期     | TransDate       | 10       | YYYYMMDD                           |
| (\*)交易时间     | TransAt         | 14       | YYYYMMDDHHIISS                     |
| 发起方机构编号   | TranIns         | 20       | 由接收方分配；发起方必填；用于验证 |
| (\*)发起方流水号 | SeqNo           | 50       | 不重复(中心发起方流水号)           |
| (\*)接收方流水号 | StdMetrc        | 50       | (银行发起方流水号)                 |
| (\*)平台唯一标识 | AccountSn       | 50       | 账户唯一标注                       |
| (\*)银行子账户   | AccountNo       | 50       | 银行内部账户编号 银行虚拟子账号    |
| (\*)子账户授权码 | AuthCode        | 50       | 授权码                             |
| (\*)冻结编号     | LockSn          | 30       | 平台冻结编号                       |
| (\*)银行冻结编号 | Std400sbnu      | 30       | 银行冻结编号                       |
| (\*)解冻编号     | UnLockNo        | 30       | 解冻编号                           |
| (\*)冻结账户     | LockAccountType | 1        | 1:冻结账户，0冻结余额              |
| 备用字段         | Remark          | 60       | 备用字段                           |
| (\*)金额         | Amount          | 18.2     | 冻结金额                           |
| 应答代码(\*)     | Result          | 5        | 00000 成功 非00000失败             |
| 交易结果信息     | TransRltMsg     | 50       | 交易结果说明                       |

###账户冻结信息查询(新增)

**简要描述**

根据锁提供的查询日期查询银行子账户的冻结、解冻的信息；

#### 接口参数说明

***发送报文说明**

| **数据项**        | **名称**    | **长度** | **说明**                                     |
|-------------------|-------------|----------|----------------------------------------------|
| 交易代码(\*)      | TransCode   | 10       | HZ0074                                       |
| 交易日期(\*)      | TransDate   | 10       | YYYYMMDD                                     |
| 交易时间(\*)      | TransAt     | 14       | YYYYMMDDHHIISS                               |
| 发起方机构编号    | TranIns     | 20       | 由接收方分配；发起方必填；用于验证           |
| 发起方流水号 (\*) | TransSeqNo  | 50       | 不重复(中心发起方流水号)                     |
| 接收方流水号      | StdMetrc    | 50       | (银行发起方流水号)                           |
| 查询日期          | AccLockDate | 10       | 查询日期                                     |
| 银行子账户(\*)    | AccountNo   | 50       | 银行内部账户编号 银行虚拟子账号              |
| 冻结/解冻类型     | StdType     | 3        | 1-冻结 2-解冻                                |
| 页码              | PagesNum    | 10       | 页码以0开始；每次数字加1如 为3时是查询第三页 |
| 备用字段          | Remark      | 60       | 备用字段                                     |

***响应报文说明**

| **数据项**        | **名称**   | **长度**      | **说明**                                                                |
|-------------------|------------|---------------|-------------------------------------------------------------------------|
| 交易代码(\*)      | TransCode  | 10            | HZ0074                                                                  |
| 交易日期(\*)      | TransDate  | 10            | YYYYMMDD                                                                |
| 交易时间(\*)      | TransAt    | 14            | YYYYMMDDHHIISS                                                          |
| 发起方机构编号    | TranIns    | 20            | 由接收方分配；发起方必填；用于验证                                      |
| 发起方流水号 (\*) | TransSeqNo | 50            | 不重复                                                                  |
| 接收方流水号      | StdMetrc   | 50            |                                                                         |
| 页码              | PagesNum   | 10            | 为0时 数据已查询完成；                                                  |
| 备用字段          | Bak1       | 50            | 备用字段，用于项目上特殊要求                                            |
| 笔数              | AccNum     | 10            | 笔数                                                                    |
| 循环体            |            |               |                                                                         |
| 银行子账户        | AccountNo  | 50            | 银行内部账户编号 银行虚拟子账号                                         |
| 冻结日期/解冻日期 | Std400trdt | 10            | 冻结日期                                                                |
| 第三方流水号      | CpyNo      | 50            | 发起方流水号(冻结或者解冻时发起方流水)                                  |
| 冻结编号/解冻编号 | LockSn     | 30            | 冻结编号/解冻编号(第三方编号)                                           |
| 冻结金额/解冻金额 | BzjAmt     | Numeric(18,2) |                                                                         |
| 主机冻结编号      | Std400sbnu | 30            | 主机冻结编号                                                            |
| 状态              | Std400flag | 5             | UA-冻结中 C-冻结失败 A-冻结成功 D-原冻结流水已解冻 UB-解冻中 B 解冻成功 |
| 冻结解冻标识      | StdType    | 3             | 冻结解冻标识1-冻结 2-解冻                                               |