V3.1

修订记录

| **日期**   | **修订版本** | **修改内容**                                                                                                    | **修订人** |
|------------|--------------|-----------------------------------------------------------------------------------------------------------------|------------|
| 2018-11-28 | V1.0         | 新增                                                                                                            | 董正城     |
| 2018-12-08 | V2.0         | 修改接口                                                                                                        | 易文君     |
| 2019-02-11 | V3.0         | 1：废弃余额对账接口， 2：流水对账和动账通知增加交易子账户(\*)\|借贷标识(\*)\|交易金额(\*)\| 3：增加账户冻结查询 | 易文君     |
| 2019-02-20 | V3.1         | 1:原路退款，全额非原路退款，增加是否已结息字段                                                                  | 董正城     |

编写目的
========

本接口需求文档旨在规范中国e车网招投标平台的网上缴费业务收费流程中的接口规范。

对接说明
--------

账户中心与银行的通讯报文采用XML格式。 采用HTTPS/
的将操作指令发送到银行相关系统平台进行处理，安全性一般通过银行内部专网方式保障。中心每次请求.

基本约定：

1. 每个接口中均定义交易代码：具体代码后面确定。

1. 接口中的所有时间均为YYYYMMDDHHIISS。

1. 日期日期格式统一为:YYYYMMDD，必填项带(\*)

1. 所有时间段和日期段均采用前闭后开的方式 [2018-11-01, 2018-12-01]
，代表获取11月份的数据。

1. 所有 有关金额字段均以元为单位，两位小数点，总长度为18位 如:1800.23
为一千八百两角三分


交易类型
--------

账户中心和银行的交易分2类：异步交易和同步交易。

异步交易：

账户中心产生交易报文后，向银行提交报文。银行受理请求后，由于处理的业务比较比较长，无法立即返回处理信息，先回复一个接收成功的响应。在交易处理成功后，银行再向账户中心发送一个通知，中心收到通知报文后在进行后续的业务处理。
如：退款、提现、扣款。

同步交易：

账户中心产生交易报文后，向银行提交报文。银行受理请求后，立即回复一个处理结果的响应。如：订单查询、账户余额查询、交易到账查询


交互数据格式：
--------
***请求格式格式**
 ```
 <?xml version="1.0" encoding="utf-8"?>
 <Root>
    <Head>
        <TransCode>HZ0074</TransCode>
        <TransDate>20190311</TransDate>
        <TransAt>20190311181243</TransAt>
        <TranIns>待确定</TranIns>
        <SeqNo>5c86349bead190-94397119</SeqNo>
    </Head>
    <Body>
        <AccountNo>3110710039237788141</AccountNo>
        <StdType>1</StdType>
        <AccLockDate>2019-03-05</AccLockDate>
    </Body>
    </Root>  
 ```
 
 ***返回报文格式**
 ```
 <?xml version="1.0" encoding="UTF-8"?>
<Root>
  <Head>
    <TransCode>HZ0060</TransCode>
    <TransDate>20190311</TransDate>
    <TransAt>20190311164501</TransAt>
    <TranIns></TranIns>
    <SeqNo></SeqNo>
    <StdMetrc>CBPP1605f4940022019031116450139335</StdMetrc>
  </Head>
  <Body>
    <InDate>20190311</InDate>
    <InTime>20190311161306</InTime>
    <InAmount>100008.20</InAmount>
    <IAcctNo>3110710039231906056</IAcctNo>
    <CdFlag>D</CdFlag>
    <Std400kyye>3799007.97</Std400kyye>
    <InBankFLCode>20190311J0000000183158</InBankFLCode>
    <OuName>会员账户-2002</OuName>
    <OuAcct>3110710039231906056</OuAcct>
    <OuBankNo></OuBankNo>
    <OuBankName>中信银行</OuBankName>
    <InMemo>3110710039234599874</InMemo>
    <InMemoName>平台账户-10001</InMemoName>
    <Remark></Remark>
    <InMeBankNo></InMeBankNo>
    <InMeBankName></InMeBankName>
  </Body>
</Root> 

 ```