### 流水状态查询

#### 1.11.1 接口说明

>   查询所有账务类、冻结解冻类交易，流程执行状态；

#### 1.11.2接口参数说明

***发送报文说明**

| **数据项**       | **名称**  | **长度** | **说明**                              |
|------------------|-----------|----------|---------------------------------------|
| (\*)交易代码     | TransCode | 10       | HZ0059                                |
| (\*)交易日期     | TransDate | 10       | YYYYMMDD                              |
| (\*)交易时间     | TransAt   | 14       | YYYYMMDDHHIISS                        |
| 发起方机构编号   | TranIns   | 20       | 由接收方分配；发起方必填；用于验证    |
| (\*)发起方流水号 | SeqNo     | 50       | 不重复(中心发起方流水号)              |
| 接收方流水号     | StdMetrc  | 50       | (银行发起方流水号)                    |
| 交易类别         | Type      | 2        | 1-账务类 2-冻结                       |
|                  |           |          | 3-解冻                                |
| 原发起方流水号   | OrgSeqNo  | 50       | 原发起方流水号-用于查询原交易流水信息 |
| 备用字段         | Remark    | 60       | 备用字段                              |

***响应报文说明**

| 数据项           | 名称        | 长度 | 说明                               |
|------------------|-------------|------|------------------------------------|
| 交易代码(\*)     | TransCode   | 10   | HZ0059                             |
| 交易日期(\*)     | TransDate   | 10   | YYYYMMDD                           |
| 交易时间(\*)     | TransAt     | 14   | YYYYMMDDHHIISS                     |
| 发起方机构编号   | TranIns     | 20   | 由接收方分配；发起方必填；用于验证 |
| 发起方流水号(\*) | SeqNo       | 50   | 不重复(中心发起方流水号)           |
| 接收方流水号(\*) | StdMetrc    | 50   | (银行发起方流水号)                 |
| 应答代码(\*)     | Result      | 5    | 00000 成功 非00000失败             |
| 执行状态         | Flag        | 2    |                                    |
| 状态说明         | FlagIfno    | 120  |                                    |
| 交易结果信息     | TransRltMsg | 50   | 交易结果说明                       |
| 交易类别         | Type        | 2    | 1-账务类 2-冻结                    |
|                  |             |      | 3-解冻                             |
| 备用字段         | Bak1        | 50   | 备用字段，用于项目上特殊要求       |