

平台中根据业务会存在多种退款方式：全额退款、多笔交易统一退款、多次退款。

按退款路径又分为：原路退款、指定虚拟账户+指定实体账户(白名单退款)。

按业务又分为：带利息退款(退保证金)、不带利息退款(订单交易、会议费)

由于限制：原路全额退款走退款接口。其他退款走交易接口。退款所产生的手续费同交易手续费的处理方式。

|              | 全额退款 | 多交易同时退款 | 多次退款 |
|--------------|----------|----------------|----------|
| 原路         | 支持     | 不支持         | 不支持   |
| 指定虚拟账户 | 支持     | 支持           | 支持     |
| 指定实体账户 | 支持     | 支持           | 支持     |

###原路退款

####接口参数说明

>   ***发送报文说明**

| **数据项**           | **名称**      | **长度**      | **说明**                           |
|----------------------|---------------|---------------|------------------------------------|
| 交易代码(\*)         | TransCode     | 10            | HZ0056                             |
| 交易日期(\*)         | TransDate     | 10            | YYYYMMDD                           |
| 交易时间(\*)         | TransAt       | 14            | YYYYMMDDHHMMSS                     |
| 发起方机构编号       | TranIns       | 20            | 由接收方分配；发起方必填；用于验证 |
| 发起方流水号(\*)     | SeqNo         | 50            | 不重复(中心发起方流水号)           |
| 接收方流水号         | StdMetrc      | 50            | (银行发起方流水号)                 |
| 原入账开户行行号(\*) | InBankNo      | 50            |                                    |
| 原入账开户行名称(\*) | InBankName    | 100           |                                    |
| 转入账号(\*)         | InAcctNo      | 50            | 原交易出账账户退回                 |
| 转入户名(\*)         | InName        | 100           |                                    |
| 原转账流水号(\*)     | OriginTransNo | 50            |                                    |
| 出金账户名(\*)       | OutAccountSn  | 120           | 原交易入金账户                     |
| 出金银行子账户(\*)   | OutAccountNo  | 50            | 原交易入金银行子账户               |
| 出账开户行行号       | OutBankNo     | 50            |                                    |
| 出账开户行名称       | OutBankName   | 120           |                                    |
| 原到账日期(\*)       | InDate        | 10            | 到账日期                           |
| 原到账时间(\*)       | InTime        | 10            | 到账时间                           |
| 转入本金金额(\*)     | Amount        | Numeric(18,2) |                                    |
| 是否结息             | IsInterest    | 1             | 1：结息，0：不结息                 |
| 退款原因             | BackReason    | 120           |                                    |
| 备用字段             | Remark        | 60            | 备用字段                           |

***响应报文说明**

| **数据项**       | **名称**    | **长度** | **说明**                           |
|------------------|-------------|----------|------------------------------------|
| 交易代码(\*)     | TransCode   | 10       | HZ0056                             |
| 交易日期(\*)     | TransDate   | 10       | YYYYMMDD                           |
| 交易时间(\*)     | TransAt     | 14       | YYYYMMDDHHIISS                     |
| 发起方机构编号   | TranIns     | 20       | 由接收方分配；发起方必填；用于验证 |
| 发起方流水号(\*) | SeqNo       | 50       | 不重复(中心发起方流水号)           |
| 接收方流水号     | StdMetrc    | 50       | (银行发起方流水号)                 |
| 应答代码(\*)     | Result      | 5        | 00000 成功 非00000失败             |
| 应答描述         | TransRltMsg | 50       | 保留                               |
| 手续费金额       | stdfeeamnt  | 18.2     |                                    |
| 利息金额         | std400intr  | 18.2     |                                    |
| 是否已经结息     | StdJxfg     | 1        | 1：已经结息，0后续结息             |
| 新银行转账流水号 | HstSeqNum   | 50       | 转账流水号                         |

### 非原路退回报文说明

在交易的接口上，增加了是否结息控制！

#### 接口参数说明

***发送报文说明**

| **数据项**         | **名称**       | **长度**      | **说明**                                                          |
|--------------------|----------------|---------------|-------------------------------------------------------------------|
| 交易代码(\*)       | TransCode      | 10            | HZ0057                                                            |
| 交易日期(\*)       | TransDate      | 10            | YYYYMMDD                                                          |
| 交易时间(\*)       | TransAt        | 14            | YYYYMMDDHHIISS                                                    |
| 发起方机构编号     | TranIns        | 20            | 由接收方分配；发起方必填；用于验证                                |
| 发起方流水号(\*)   | SeqNo          | 50            | 不重复(中心发起方流水号)                                          |
| 接收方流水号(\*)   | StdMetrc       | 50            | (银行发起方流水号)                                                |
| 转账流水号         | TransNo        | 50            | 转账流水号                                                        |
| 原转账流水号(\*)   | OriginTransNo  | 50            |                                                                   |
| 出金银行子账户     | OutAccountNo   | 50            | 原交易入金银行子账户                                              |
| 出金银行户名       | OutAccountName | 50            |                                                                   |
| 出金银行行号       | OutBankNo      | 50            |                                                                   |
| 出金银行行名       | OutBankName    | 50            |                                                                   |
| 体系内外标志       | AccountFlag    | 1             | 1:体系内，体系内(虚拟账号之间转账) 0:体系外，体系外(虚拟账号转出) |
| (\*)入金虚拟账户   | InAccountSn    | 50            | 虚拟账户唯一标注：0实体                                           |
| (\*)入金银行子账户 | InAccountNo    | 50            | 银行内部账户编号                                                  |
| 入金银行户名       | InAccountName  | 50            |                                                                   |
| 入金银行行号       | InBankNo       | 50            |                                                                   |
| 入金银行行名       | InBankName     | 50            |                                                                   |
| 转入本金金额(\*)   | Amount         | Numeric(18,2) |                                                                   |
| 是否结息           | IsInterest     | 1             | 1：结息，0：不结息                                                |
| 退款原因           | BackReason     | 120           |                                                                   |
| 备用字段           | Remark         | 60            | 备用字段                                                          |

***响应报文说明**

| **数据项**       | **名称**    | **长度** | **说明**                           |
|------------------|-------------|----------|------------------------------------|
| 交易代码(\*)     | TransCode   | 10       | HZ0057                             |
| 交易日期(\*)     | TransDate   | 10       | YYYYMMDD                           |
| 交易时间(\*)     | TransAt     | 14       | YYYYMMDDHHIISS                     |
| 发起方机构编号   | TranIns     | 20       | 由接收方分配；发起方必填；用于验证 |
| 发起方流水号(\*) | SeqNo       | 50       | 不重复(中心发起方流水号)           |
| 接收方流水号(\*) | StdMetrc    | 50       | (银行发起方流水号)                 |
| 应答代码(\*)     | Result      | 5        |                                    |
| 应答描述         | TransRltMsg | 50       | 保留                               |
| 手续费金额       | stdfeeamnt  | 18.2     |                                    |
| 利息金额         | std400intr  | 18.2     |                                    |
| 是否已经结息     | StdJxfg     | 1        | 1：已经结息，0后续结息             |
| 新转账流水号(\*) | HstSeqNum   | 50       | 转账流水号                         |

