##开户 - 虚拟账户

**简要描述**

    公司账户：account_sn, 公司ID, 账户名称，开户人ID。公司名称，营业执照
    个人账户：account_sn, 会员ID, 账户名称，开户人ID
    【询价/投标】保证金额账户：account_sn, 保证金所属公司ID, 账户名称，开户人ID，项目ID，缴纳公司ID，缴纳人，标段ID；
    报名费账户：
    
**请求URL**

- ` /api/account`
  
**请求方式**

- POST 

**参数**

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----  |
|belong_type |是|string（10） | 所属类型：平台p、公司c、会员m |
|belong_id |是|int(10) | 对应ID|
|belong_name |否|string(10) |会员|
|account_type |是|char(1) | 平台账户：1、正常子账户：2、保证金子账户：3 |
|account_name |是|string（33） | 账户名称，33个汉字 |
|account_sn |是|string（60） | 账户虚拟户编号 |
|sys_member|是|string（20） | 平台会员号|
|bank_type |是|string(10) |开户银行|
|enter_prise_name |否|string(60) |公司名称|
|business_licence |否|string(60) |公司名称营业执照|
|items_type |否|string(60) |保证金项目类型 |
|items_id |否|int | 保证金项目ID|
|items_type |否|int | 保证金类型： 1投标， 10 标书费|
|tender_company |否|int | 投标人公司ID|
|tender_user |否|int | 投标人ID|
|biao_duan |否|string | 标段号|
|op_user |是|int | 操作者|


平台专用账户: P, ID 需要先向虚拟子账户平台申请分配；

**返回示例**

```
{
	 'status':'SUCCESS',
	 'message':'操作成功',
	 'data':
	 {
	 	 'account_sn':'1001',
	 	 'account_name':'账户名',
	 	 'account_no':'账户',
	 	 'bank_no':'行号',
	 	 'bank_name':'行名',
	 	 'bank_type':'银行类型',
	 }
}

```

**返回参数说明**

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|status|是|string |状态码|
|message|是|string |提示消息|
|data|是|obj | 业务数据 |
|--account_sn|是|string | 虚拟户编号 |
|--account_name|是|string | 虚拟户名 |
|--account_no|是|string | 虚拟户号 |
|--bank_no|是|string | 开户行号 |
|--bank_name|是|string | 开户行名 |
|--bank_type|是|int | 银行类型：1，中信，2招行 |


**备注**

- 更多返回错误代码请看首页的错误代码描述

## 获取账户信息

**简要描述**
   
   通过 虚拟账户编号，获取账户信息 
    
**请求URL**

- ` /api/account/account/{account_sn}`
  
**请求方式**

- GET 

**参数**

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----  |
|is_fore |是|int | 1，透传到银行，0：查询虚拟户余额|
|op_user |是|int | 操作者|


**返回示例**

```
{
	 'status':'SUCCESS',
	 'message':'操作成功',
	 'data':
	 {
	 	 'account_sn':'1001',
	 	 'account_name':'账户名',
	 	 'account_no':'账户',
	 	 'bank_no':'行号',
	 	 'bank_name':'行名',
	 	 'bank_type':'银行类型',
	 	 'amount':100,
	 	 'gross_amount':100,
	 	 'status':1
	 }
}

```

**返回参数说明**

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|status|是|string |状态码|
|message|是|string |提示消息|
|data|是|obj | 业务数据 |
|--account_sn|是|string | 虚拟户编号 |
|--account_name|是|string | 虚拟户名 |
|--account_no|是|string | 虚拟户号 |
|--bank_no|是|string | 开户行号 |
|--bank_name|是|string | 开户行名 |
|--amount|是|int | 可用余额
|--gross_amount|是|int | 总额


**备注**

- 更多返回错误代码请看首页的错误代码描述


##维护账户信息

**简要描述

 通过ACCOUTN_SN, 维护手机号，账户名称，企业名称和企业号; 
 
**请求URL**

- ` /api/account/account/{account_sn}`
  
**请求方式**

- PUT 

**参数**

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----  |
|account_name |否|string（33） | 账户名称 |
|enter_prise_name |否|string(60) |公司名称|
|business_licence |否|string(60) |公司营业执照|
|op_user |是|int | 操作者|




**返回示例**

```
{
	 'status':'SUCCESS',
	 'message':'操作成功',
	 'data':
	 {
	 	 虚拟账户基本信息-见账户信息
	 }
}

```

**返回参数说明**

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|status|是|string |状态码|
|message|是|string |提示消息|
|data|是|obj | 业务数据 |
|--account_sn|是|string | 虚拟户编号 |
|--account_name|是|string | 虚拟户名 |
|--account_no|是|string | 虚拟户号 |
|--bank_no|是|string | 开户行号 |
|--bank_name|是|string | 开户行名 |
|--bank_type|是|int | 银行类型：1，中信，2招行 |



**备注**

- 更多返回错误代码请看首页的错误代码描述




##销户

**简要描述**

 通过ACCOUTN_SN,
  
**请求URL**

- ` /api/account/account/{account_sn}`
  
**请求方式**

- DELETE 

**参数**

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----  |
|is_force |是|int |强制销户|
|op_user |是|int | 操作者|





**返回示例**

```
{
	 'status':'SUCCESS',
	 'message':'操作成功',
	 'data':null
}

```

**返回参数说明**

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|status|是|string |状态码|
|message|是|string |提示消息|
|data|是|obj | 业务数据 |



**备注**

- 更多返回错误代码请看首页的错误代码描述







