# #### demo

> ##### 请求方法：`GET`

> ##### 请求地址：`{{URL}}/famous/modules/approval/index.php?act=approval_api&op=index`

> ##### 请求参数：

参数名 | 类型 | 必填 | 默认值 | 说明
:---|:---|:---|:---|:---
type|number|否|1|类型：`0`待我审批，`1`已审批
keywords|string|否||搜索的关键词
requestPage|number|否|1|请求的页码
perPage|number|否|10|每页显示记录数

> ##### 响应类型：`JSON`

> ##### 响应参数：

参数名 | 类型 | 说明
:---|:---|:---
code|number|响应码
data|array|响应数据，仅响应码`200`时存在
msg|string|错误信息，响应码非`200`时有效
url|string|跳转地址

> ##### data参数：

参数名 | 类型 | 说明
:---|:---|:---
list|array|数据集
nowPage|number|当前页码
totalPage|number|总页码数
perPage|number|每页显示记录数
totalData|number|总记录数

> ##### list参数：

参数名 | 类型 | 说明
:---|:---|:---
apvNo|string|审批编号
founder|string|发起人
type|string|类型
typeMsg|string|类型文字说明
status|string|状态：`0`审批中，`1`审批完成，`2`审批终止
statusMsg|string|状态文字说明
createdAt|string|创建时间
summary|array|摘要信息

> ##### 成功示例：

``` json
{
    "code": 200,
    "data": {
        "list": [
            {
                "apvNo": "A00741346108591047",
                "founder": "韩仁会",
                "type": "compareSend",
                "status": "0",
                "createdAt": "2018-05-19 16:56:50",
                "summary": [
                    "发标审批",
                    "项目编号：z321",
                    "项目名称：看了佳节快乐"
                ],
                "typeMsg": "比选采购",
                "statusMsg": "审批中"
            }
        ],
        "nowPage": 1,
        "totalPage": 2,
        "perPage": 1,
        "totalData": 2
    },
    "url": "",
    "msg": ""
}
```

> ##### 异常示例：

``` json
{
    "code": 401,
    "msg": "未登录",
    "url": ""
}
```

> ##### 响应码：

返回码 | 说明
:---|:---
200|请求成功
401|未登录
403|企业未实名认证
500|请求失败
