##统计-虚拟账户余额

**简要描述：** 

获取指定日期，指定账户余额
 	
 
**请求URL：** 

- ` api/trade/acctTrade`
  
**请求方式：**

- get 

**参数：** 

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----  |
|inout_date-geq |是|string（10） |开始日期：2019-03-01， 包含|
|inout_date-lt |是|string（10） |截止日期：2019-03-01， 不包含|
|trade_type |否|enum |交易类型：1，交易，8：退款，10：手续费，15：提现， 21：利息|
|keyword |否|string（10） |公司名称，|
|acct_no |否|string（10） |银行主账户：空为默认主账户|
|page |否|string（10） |分页数据|
|in_account_name |否|string（10） |入金账户名称|
|out_account_name |否|string（10） |出金账户名称|
|account_sn |否|string（10） |虚拟户编号|


**返回示例**

```
{
	 'status':'SUCCESS',
	 'message':'操作成功',
	 'data':
	 {    
        data: [
            account_sn: "3110710039234028738",
            trade_amount: 259888,
            is_plus:1,
            in_account_name:'入金账户',
            in_bank_name:'入金银行',
            out_account_name:'出金账户',
            out_bank_name:'出金银行',
            bank_trade_no: "20190321BAT00030240063",
            inout_at: 1553124754,
            interest: 0,
            interest_sync: 0,
            remark: "利息",
            service_charge: 0,
            trade_type: 21  ,
            trade_type_name: 利息
        
        ],
        current_page:1,
        last_page:100,
        per_page: 100,
        to: 2,
        total: 90
    }
}

```

**返回参数说明** 

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|:----    |:---|:----- |-----   |
|status_code|是|int |状态码|
|message|是|string |提示消息|
|data|是|obj | 业务数据 |
|--current_page|是|int |状态码|
|--per_page|是|string |每页条数|
|--last_page|是|string |最大页数|
|--to|是|string |当前获取到第几条|
|--total|是|string |总条数|
|--data|是|obj | 业务数据 |
|---- account_sn|是|date| 日期|
|---- bank_trade_no|是|int| 银行交易号|
|---- trade_amount|是|int| 交易金额 |
|---- is_plus|是|int| 1,入账， 0，出账 |
|---- in_account_name|是|int|入金账户|
|---- in_bank_name|是|int|入金银行 |
|---- out_account_name|是|int| 出金账户 |
|---- out_bank_name|是|int| 出金银行 |
|---- inout_at|是|int| 出入账时间|
|---- trade_type|是|int| 交易类型| 
|---- trade_type_name|是|string| 交易类型| 
|---- amount|是|int| 本金余额 |
|---- interest|是|int| 结息利息|
|---- service_charge|是|int| 手续费|            


**备注** 

- 更多返回错误代码请看首页的错误代码描述

***************





