##交易


**简要描述：** 

1. 出现账户必须为虚拟户
2. 入金账户可以是虚拟户也可以是实体账户
3. 如果同时填写了入金虚拟户编号，和实体账户， 虚拟户编号 优先于实体账户
4. 虚拟户之间交易不需要验证交易，否则需要验证交易。
 
**请求URL：** 

- ` /api/trades/pay`
  
**请求方式：**

- POST 

**参数：** 

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----  |
|subject |是|string（60） |交易名称|
|out_trade_no |是|string（60） |外部交易号，唯一|
|trade_type |是|string（10） |交易类型：1交易|
|out_account_sn |是|string(60) |出金账户 |
|in_account_sn |否|string(60) |入金虚拟户编号-优先级大于下面的账户 |
|amount |是|int |出金金额 |
|bank_no |否|string |入金行号|
|bank_Name |否|string |入金行名|
|bank_account_no |否|string |入金户号|
|bank_account_name |否|string |入金户名|
|op_user |是|int | 操作者|


**返回示例**

```
{
	'status':'SUCCESS',
	 'message':'操作成功',
	 'data':
	 {
      'has_code':'验证码'
      'trans_sn':'交易编号'
	}
}

```

**返回参数说明** 

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|status_code|是|int |状态码|
|message|是|string |提示消息|
|data|是|obj | null， |
|--has_code|是|string | 验证码，需要发送短信 |
|--trans_sn|是|string | 虚拟交易号|


**备注** 

- 更多返回错误代码请看首页的错误代码描述

***************

##提现


**简要描述：** 

1. 出现账户必须为虚拟户
2. 入金账户，必须在出金账户的白名单中
3. 如果同时填写了入金虚拟户编号，和实体账户， 虚拟户编号 优先于实体账户
4. 虚拟户之间交易不需要验证交易，否则需要验证交易。
 
**请求URL：** 

- ` /api/trades/withdrawCash`
  
**请求方式：**

- POST 

**参数：** 

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----  |
|subject |是|string（60） |交易名称|
|out_trade_no |是|string（60） |外部交易号，唯一|
|trade_type |是|string（10） |交易类型：15交易|
|out_account_sn |是|string(60) |出金账户 |
|amount |是|int |出金金额 |
|bank_no |否|string |入金行号|
|bank_Name |否|string |入金行名|
|bank_account_no |否|string |入金户号|
|bank_account_name |否|string |入金户名|
|op_user |是|int | 操作者|


**返回示例**

```
{
	'status':'SUCCESS',
	 'message':'操作成功',
	 'data':
	 {
      'has_code':'验证码'
      'trans_sn':'交易编号'
	}
}

```

**返回参数说明** 

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|status_code|是|int |状态码|
|message|是|string |提示消息|
|data|是|obj | null， |
|--has_code|是|string | 验证码，需要发送短信 |
|--trans_sn|是|string | 虚拟交易号|


**备注** 

- 更多返回错误代码请看首页的错误代码描述

***************


